osgSim::ConeSector Class Reference

`#include <Sector>`

Inheritance diagram for osgSim::ConeSector:

## Public Member Functions

| ConeSector ()
| ConeSector (const ConeSector &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| ConeSector (const osg::Vec3 &axis, float angle, float fadeangle=0.0f)
| META_Object (osgSim, ConeSector)
void | setAxis (const osg::Vec3 &axis)
const osg::Vec3 & | getAxis () const
void | setAngle (float angle, float fadeangle=0.0f)
float | getAngle () const
float | getFadeAngle () const
virtual float | operator() (const osg::Vec3 &eyeLocal) const
Public Member Functions inherited from osgSim::Sector
| Sector ()
| Sector (const Sector &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
virtual const char * | className () const
virtual bool | isSameKindAs (const osg::Object *obj) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~ConeSector ()
Protected Member Functions inherited from osgSim::Sector
virtual | ~Sector ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::Vec3 | _axis
float | _cosAngle
float | _cosAngleFade
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## ConeSector() [1/3]

osgSim::ConeSector::ConeSector | ( |  | ) |

inline

References _axis, _cosAngle, _cosAngleFade, and osgSim::Sector::Sector().

Referenced by ConeSector(), and META_Object().

## ConeSector() [2/3]

osgSim::ConeSector::ConeSector | ( | const ConeSector & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References _axis, _cosAngle, _cosAngleFade, ConeSector(), osgSim::Sector::Sector(), and osg::CopyOp::SHALLOW_COPY.

## ConeSector() [3/3]

osgSim::ConeSector::ConeSector | ( | const osg::Vec3 & | axis,
|  | float | angle,
|  | float | fadeangle = 0.0f )

## ~ConeSector()

virtual osgSim::ConeSector::~ConeSector | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getAngle()

float osgSim::ConeSector::getAngle | ( |  | ) | const

## getAxis()

const osg::Vec3 & osgSim::ConeSector::getAxis | ( |  | ) | const

## getFadeAngle()

float osgSim::ConeSector::getFadeAngle | ( |  | ) | const

## META_Object()

osgSim::ConeSector::META_Object | ( | osgSim | ,
|  | ConeSector | )

References ConeSector().

## operator()()

virtual float osgSim::ConeSector::operator() | ( | const osg::Vec3 & | eyeLocal | ) | const

virtual

Implements osgSim::Sector.

## setAngle()

void osgSim::ConeSector::setAngle | ( | float | angle,
|  | float | fadeangle = 0.0f )

## setAxis()

void osgSim::ConeSector::setAxis | ( | const osg::Vec3 & | axis | ) |

## Member Data Documentation

## _axis

osg::Vec3 osgSim::ConeSector::_axis

protected

Referenced by ConeSector(), and ConeSector().

## _cosAngle

float osgSim::ConeSector::_cosAngle

protected

Referenced by ConeSector(), and ConeSector().

## _cosAngleFade

float osgSim::ConeSector::_cosAngleFade

protected

Referenced by ConeSector(), and ConeSector().

The documentation for this class was generated from the following file:

- Sector